petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoComputeHessian

Computes the Hessian matrix that has been set with TaoSetHessianRoutine().

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeHessian(Tao tao, Vec X, Mat H, Mat Hpre)

Collective on Tao

### Input Parameters

| solver | - the Tao solver context
| xx | - input vector

### Output Parameters

| H | - Hessian matrix
| Hpre | - Preconditioning matrix

### Notes

Most users should not need to explicitly call this routine, as it is used internally within the minimization solvers.

TaoComputeHessian() is typically used within minimization implementations, so most users would not generally call this routine themselves.

### See Also

TaoComputeObjective(), TaoComputeObjectiveAndGradient(), TaoSetHessian()

Level:developer
Location:src/tao/interface/taosolver_hj.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages